<script setup lang="ts">
import { ref } from "vue";
import data from "@/assets/data.json";

const destinations = ref(data.destinations);
</script>

<template>
  <h1>All destinations</h1>
  <div class="all-dest">
    <RouterLink :to="'destination' + '/' +destination.id + '/' + destination.slug" class="dest" v-for="destination in destinations" :key="destination.id">
      <h3>{{ destination.name }}</h3>
      <img :src="'public/images/' + destination.image" class="fotos" />
    </RouterLink>
  </div>
</template>

<style scoped>
h1, h3 {
  color: rgb(15, 15, 40);
}

h1 {
  margin-left: 20px;
}
.dest {
  width: 20%;
  text-decoration: none;
}

img {
  width: 100%;
  height: 170px;
}

.all-dest {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}
</style>
